#ifndef __CMRSPEXCEPTION
#define __CMRSPEXCEPTION

#include <exception>
#include <string>

using namespace std;

class CMRSPException : public exception
{
    private:
        string _msg;
    
    public:
        CMRSPException(const string& msg)
        {
            _msg = msg;
        }
        
        virtual ~CMRSPException() throw()
        {
        }
        
        virtual const char* what() const throw()
        {
            return _msg.c_str();
        }
        
};

#endif
