#ifndef __EXECPARAM
#define __EXECPARAM

#include <string>
using namespace std;

struct ExecParam
{
    string filename;
    int logging_interval;
    int node_sel;
    int var_sel;
    bool var_priority;
    int mip_emphasis;
    int time_limit;
    bool clique_cuts;
    bool cover_cuts;
    bool disjuntive_cuts;
    bool flowcover_cuts;
    bool flowpath_cuts;
    bool fractional_cuts;
    bool gubcover_cuts;
    bool mir_cuts;
    bool branching_1;
    int cutting_plane_1;
    bool cutting_plane_2;
    bool cutting_plane_3;
    bool cutting_plane_4;
    int cutting_plane_levels;
    int cutting_plane_interval;
    bool initial_heuristic;
    bool primal_heuristic;
    bool continuous_vars;
    bool sos;
    int romp_simetria;
    int ipc;
    int skip_factor;
};


#endif
