#ifndef __SEPARACION_COMPONENTES
#define __SEPARACION_COMPONENTES

#include "Separacion.h"
#include "CMRSRep.h"
#include "CMRSPException.h"

class SeparacionComponentes : public Separacion {
    private:
        CMRSRep* cmrs_rep;
        int _cortes_aplicados;
    
    public:
        SeparacionComponentes(CMRSRep* cmrs_rep);
        string nombre_familia();
        bool separar(CPXCENVptr env, double* x, void *cbdata, int wherefrom) throw(CMRSPException);
        int cortes_aplicados();
        

};

#endif

