#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import numpy
import parametros as param

#f.write(str(m)+'\n')
#f.write(str(q)+'\n')
#f.write(str(len(clientes_labels))+'\n')
#f.write(str(len(steiners_labels))+'\n')
#f.write(deposito_label+'0\n')
#f.write(deposito_label+'1\n')

#for cliente_label in clientes_labels:
    #f.write(cliente_label+'\n')

#for steiner_label in steiners_labels:
    #f.write(steiner_label+'\n')

#for costo_conexion_fila in costos_conexion:
    #f.write(reduce(lambda x, y: str(x)+' '+str(y),  costo_conexion_fila)+'\n')

#for costo_ruteo_fila in costos_ruteo:
    #f.write(reduce(lambda x, y: str(x)+' '+str(y),  costo_ruteo_fila)+'\n')

def info_instance(num_instancia):
    f = open(param.archivo_instancia % num_instancia, 'r')
    lines = f.readlines()
    f.close()
    
    m = int(lines[0][:-1])
    q = int(lines[1][:-1])
    n_customers = int(lines[2][:-1])
    n_steiners = int(lines[3][:-1])
    i = 6 + n_customers + n_steiners
    dist_vector = [float(j) for j in lines[i][:-1].split(' ')]
    std_dev_depot = numpy.std(dist_vector)
    hist_depot = numpy.histogram(dist_vector)
    
    dist_vector = []
    for t in range(i+1, n_customers+i+2):
        dist_vector = dist_vector + [float(j) for j in lines[t][:-1].split(' ')]
    std_dev_all = numpy.std(dist_vector)
    hist_all = numpy.histogram(dist_vector)
    
    print 'anillos = ', m
    print 'capacidad = ', q
    print 'clientes = ', n_customers
    print 'steiners = ', n_steiners
    print 'std_dev dist. al deposito = ', std_dev_depot
    print 'std_dev dist. total = ', std_dev_all
    print 'hist dist. al deposito = ', hist_depot[0]
    print 'hist dist. total = ', hist_all[0]


if len(sys.argv) != 2:
    print 'Uso: gen_inst.py num_instancia'
    sys.exit(1)

num_instancia = int(sys.argv[1])
info_instance(num_instancia)
