#ifndef __HEURISTICA_INICIAL_CLUSTER_ROUTE1
#define __HEURISTICA_INICIAL_CLUSTER_ROUTE1

#include "HeuristicaInicial.h"
#include "CMRSRep.h"


class HeuristicaInicialClusterRoute1 : public HeuristicaInicial {
    private:
        void heuristica_un_anillo(CPXENVptr env, CPXLPptr cmrsp_model) throw(CMRSPException);
        void heuristica_varios_anillos(CPXENVptr env, CPXLPptr cmrsp_model) throw(CMRSPException);
        CMRSRep* cmrsrep;
    
    public:
        HeuristicaInicialClusterRoute1(CMRSRep* cmrsrep);
        void aplicar(CPXENVptr env, CPXLPptr cmrsp_model) throw(CMRSPException);
    
};

#endif
