#ifndef __SEPARACION_ANILLOOESTRELLA2
#define __SEPARACION_ANILLOOESTRELLA2

#include "Separacion.h"
#include "CMRSRep.h"
#include "CMRSPException.h"

class SeparacionAnilloOEstrella2 : public Separacion {
    private:
        CMRSRep* cmrs_rep;
        int _cortes_aplicados;
        
    public:
        SeparacionAnilloOEstrella2(CMRSRep* cmrs_rep);
        string nombre_familia();
        bool separar(CPXCENVptr env, double* x, void *cbdata, int wherefrom) throw(CMRSPException);
        int cortes_aplicados();
        
};

#endif

