#ifndef __SEPARACION_SUMAUNO
#define __SEPARACION_SUMAUNO

#include "Separacion.h"
#include "CMRSRep.h"
#include "CMRSPException.h"

class SeparacionSumaUno : public Separacion {
    private:
        CMRSRep* cmrs_rep;
        int _cortes_aplicados;
        
    public:
        SeparacionSumaUno(CMRSRep* cmrs_rep);
        string nombre_familia();
        bool separar(CPXCENVptr env, double* x, void *cbdata, int wherefrom) throw(CMRSPException);
        int cortes_aplicados();
        
};

#endif

